Receive Emails: Contacts & audience
Get Contact Events
History of a contact: opens, clicks with the link, and emails received. Read only.
https://g.sendcorex.com/v1command: get_contact_eventsArguments
emailstringrequiredThe contact’s email.
limitnumberoptionalPage size, from 1 to 100.
cursorstringoptionalThe
next_cursorof the previous page.
Quick start
import axios from 'axios';
const response = await axios.post(
'https://g.sendcorex.com/v1',
{
commands: [
{
command: "get_contact_events",
args: {
email: "ana@empresa.com",
limit: 30
}
}
]
},
{ headers: { Authorization: process.env.SENDCOREX_TOKEN } },
);
const [result] = response.data.results;
if (result.type !== 'SUCCESS') throw new Error(`${result.code}: ${result.message}`);
console.log(result.data);Response
{
"type": "SUCCESS",
"results": [
{
"command": "get_contact_events",
"id": "0",
"type": "SUCCESS",
"data": {
"events": [
{
"kind": "click",
"at": "2026-11-21T09:43:00Z",
"url": "https://acme.com/pricing",
"subject": "Your proposal"
},
{
"kind": "open",
"at": "2026-11-21T09:42:00Z",
"subject": "Your proposal"
}
],
"has_more": false,
"next_cursor": null
}
}
]
}Response fields
events[]kind(open, click, sent),atand, when there is one,subjectandurl.has_more / next_cursorPagination.
Errors
HTTP-level errors return type, code and message. Errors marked CMD come back inside the command result, with HTTP 200.
- 401
TOKEN_EXPIREDThe access token has expired. Call Refresh Token and repeat the request.
- 401
INVALID_TOKENThe token is malformed, unknown or revoked.
- 429
RATE_LIMITEDMore than 15 requests/s or 15 in flight for the same IP + mailbox. Wait the number of seconds in Retry-After.
- CMD
INVALID_ARGSA required argument is missing or invalid.
- CMD
NOT_FOUNDThe message, thread or folder does not exist for this token.
- CMD
INVALID_CURSORThe cursor is malformed or belongs to another account or folder.
- CMD
INTERNALServer error. The detail is only written to the server log.